package de.fhdw.wtf.common.ast;

import de.fhdw.wtf.common.token.Token;

/**
 * This class is the concrete class of {@link SyntaxObject}.
 */
public final class SyntaxObjectConcret extends SyntaxObject {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = -5603492559790379324L;
	
	/**
	 * Constructor of {@link SyntaxObjectConcret}.
	 * 
	 * @param firstToken
	 *            firstToken
	 * @param lastToken
	 *            lastToken
	 */
	private SyntaxObjectConcret(final Token firstToken, final Token lastToken) {
		super(firstToken, lastToken);
	}
	
	/**
	 * Creates a {@link SyntaxObjectConcret}-Object.
	 * 
	 * @param firstToken
	 *            firstToken
	 * @param lastToken
	 *            lastToken
	 * @return The SyntaxObjectConcret-Object
	 */
	public static SyntaxObjectConcret create(final Token firstToken, final Token lastToken) {
		return new SyntaxObjectConcret(firstToken, lastToken);
	}
	
}
