package de.fhdw.wtf.common.ast.visitor;

import de.fhdw.wtf.common.ast.type.ExceptionClassType;
import de.fhdw.wtf.common.ast.type.RegularClassType;

/**
 * Visitor for {@link de.fhdw.wtf.common.ast.type.ClassType}.
 * 
 */
public interface ClassTypeVisitor {
	
	/**
	 * Handle-Method.
	 * 
	 * @param regularClassType
	 *            {@link RegularClassType}
	 */
	void handle(RegularClassType regularClassType);
	
	/**
	 * Handle-Method.
	 * 
	 * @param exceptionClassType
	 *            {@link ExceptionClassType}
	 */
	void handle(ExceptionClassType exceptionClassType);
}
