package de.fhdw.wtf.common.ast.visitor;

import de.fhdw.wtf.common.ast.OperationModifierAbstract;

/**
 * 
 * Return-Visitor of OperationModifiers.
 * 
 * @param <X>
 *            Return-Type.
 */
public interface OperationModifierVisitorReturn<X> {
	
	/**
	 * Handle-Method.
	 * 
	 * @param visitor
	 *            {@link OperationModifierAbstract}
	 * @return X
	 */
	X handle(OperationModifierAbstract visitor);
}
